<?php
/* ======================================================
 # Virtuemart Count Products for Joomla! - v4.1.1 (free version)
 # -------------------------------------------------------
 # For Joomla! CMS (v4.x)
 # Author: Web357 (Yiannis Christodoulou)
 # Copyright (©) 2014-2023 Web357. All rights reserved.
 # License: GNU/GPLv3, http://www.gnu.org/licenses/gpl-3.0.html
 # Website: https:/www.web357.com
 # Demo: https://demo.web357.com/joomla/virtuemart-count-products
 # Support: support@web357.com
 # Last modified: Monday 10 July 2023, 03:53:53 AM
 ========================================================= */
// no direct access 
defined('_JEXEC') or die('Restricted access');

// BEGIN: Check if Virtuemart exists and is active
jimport('joomla.plugin.helper');
if(!JComponentHelper::isEnabled('com_virtuemart')):
	JFactory::getApplication()->enqueueMessage(JText::_('VMSALES_NOT_ENABLED_MSG'), 'error');
	return false;
endif;
// END: Check if Virtuemart exists and is active

// BEGIN: Check if Web357 Framework plugin exists
jimport('joomla.plugin.helper');
if(!JPluginHelper::isEnabled('system', 'web357framework')):
	echo JText::_('The <strong>"Web357 Framework"</strong> is required for this extension and must be active. Please, download and install it for free, from <a href="http://downloads.web357.com/?item=web357framework&type=free">here</a>.');
	return false;
endif;
// END: Check if Web357 Framework plugin exists

// include the helper file
require_once(dirname(__FILE__).DS.'helper.php');
 
//Params
$front_text = $params->get('front_text');
$end_text = $params->get('end_text');
$products = $params->get('products');
$link = $params->get('link', '');

// get the items to display from the helper
$mod_vmcountproductsHelper = new mod_vmcountproductsHelper();
$yt_vm_active_products = $mod_vmcountproductsHelper->getActiveProducts();
$yt_vm_inactive_products = $mod_vmcountproductsHelper->getInactiveProducts();
$yt_vm_special_products = $mod_vmcountproductsHelper->getSpecialProducts();

// include the template for display
require(JModuleHelper::getLayoutPath('mod_vmcountproducts'));